GuideLab API

Register Whats App Template

Register a draft WhatsApp template with Twilio for WhatsApp approval. Creates the content in Twilio, submits for approval, and updates the template status to pending. Lab-only operation.

POST
/whatsapp-templates/{id}/register

Register a draft WhatsApp template with Twilio for WhatsApp approval. Creates the content in Twilio, submits for approval, and updates the template status to pending. Lab-only operation.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
Length1 <= length <= 200

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/whatsapp-templates/550e8400-e29b-41d4-a716-446655440000/register"
{  "template": {    "id": "string",    "organizationId": "string",    "name": "string",    "displayName": "string",    "description": "string",    "language": "string",    "category": "string",    "contentType": "string",    "body": "string",    "variables": {      "property1": "string",      "property2": "string"    },    "status": "string",    "contentSid": "string",    "rejectionReason": "string",    "lastSyncedAt": "string",    "lastSyncError": "string",    "usageCount": 0,    "successfulSendCount": 0,    "providerScope": "unbound",    "accountState": "unbound",    "providerOperation": {      "id": "string",      "phase": "ready_create",      "state": "pending"    },    "compatibleEvents": [      "order_received_lab"    ],    "selectedEvents": [      "order_received_lab"    ],    "createdBy": "string",    "createdAt": "string",    "updatedAt": "string"  },  "providerOperation": {    "id": "string",    "state": "registered"  }}
{  "template": {    "id": "string",    "organizationId": "string",    "name": "string",    "displayName": "string",    "description": "string",    "language": "string",    "category": "string",    "contentType": "string",    "body": "string",    "variables": {      "property1": "string",      "property2": "string"    },    "status": "string",    "contentSid": "string",    "rejectionReason": "string",    "lastSyncedAt": "string",    "lastSyncError": "string",    "usageCount": 0,    "successfulSendCount": 0,    "providerScope": "unbound",    "accountState": "unbound",    "providerOperation": {      "id": "string",      "phase": "ready_create",      "state": "pending"    },    "compatibleEvents": [      "order_received_lab"    ],    "selectedEvents": [      "order_received_lab"    ],    "createdBy": "string",    "createdAt": "string",    "updatedAt": "string"  },  "providerOperation": {    "id": "string",    "state": "registered"  }}
Empty
Empty
{  "error": "string"}
Empty
Empty